IvParameterSpec (GNU cryptographic primitives and tools)
Keywords: javax.crypto.spec.IvParameterSpec,IvParameterSpec class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto.spec
Class IvParameterSpec

    java.lang.Object
      |
      +--javax.crypto.spec.IvParameterSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec

public class IvParameterSpec
extends java.lang.Object
implements java.security.spec.AlgorithmParameterSpec

This class specifies an initialization vector (IV). IVs are used by ciphers in feedback mode, e.g., DES in CBC mode.

Constructor Summary
`IvParameterSpec(byte[] iv)` Uses the bytes in `iv` as the IV.
`IvParameterSpec(byte[] iv, int offset, int len)` Uses the first `len` bytes in `iv`, beginning at `offset` inclusive, as the IV.

Method Summary
`byte[]` | `getIV()` Returns the initialization vector (IV).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IvParameterSpec

    public IvParameterSpec(byte[] iv)

  Uses the bytes in `iv` as the IV.

Parameters:
  `iv` - the buffer with the IV

### IvParameterSpec

    public IvParameterSpec(byte[] iv,
                           int offset,
                           int len)

  Uses the first `len` bytes in `iv`, beginning at `offset` inclusive, as the IV.

  The bytes that constitute the IV are those between `iv[offset]` and `iv[offset+len-1]` inclusive.

Parameters:
  `iv` - the buffer with the IV
  `offset` - the offset in `iv` where the IV starts
  `len` - the number of IV bytes

Method Detail

### getIV

    public byte[] getIV()

  Returns the initialization vector (IV).

  Returns:
    the initialization vector (IV)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.